dapper如何让amarok 使用 gstreamer??

为当前最终发行版之前的所有版本提供支持
回复
shitbaby
帖子: 131
注册时间: 2006-03-22 18:30
送出感谢: 0
接收感谢: 0

dapper如何让amarok 使用 gstreamer??

#1

帖子 shitbaby » 2006-04-15 0:27

我装了 gstreamer-tools 和gstreamer0.10-plugins-ugly
现在用的amarok-xine 如何换成gstreamer引擎呢?
sudo apt-get install amarok- tab了一下只有
amarok amarok-engine amarok-xine
amarok-arts amarok-engines
xiechy
帖子: 1074
注册时间: 2006-01-18 15:01
送出感谢: 0
接收感谢: 1 次

#2

帖子 xiechy » 2006-04-15 22:03

amarok只有arts和xine的。
arts是kde的默认。gstreamer是gnome的。
用xine就好了。arts以前听浙大的同学说好像和alsa有点不对付。
shitbaby
帖子: 131
注册时间: 2006-03-22 18:30
送出感谢: 0
接收感谢: 0

#3

帖子 shitbaby » 2006-04-16 0:03

呵呵 为了使用gstreamer
使用breezy的源就好了
dapper的源都删掉才行
现在用gsteamer0.80
shitbaby
帖子: 131
注册时间: 2006-03-22 18:30
送出感谢: 0
接收感谢: 0

#4

帖子 shitbaby » 2006-04-16 0:32

现在终于可以播放ape了
首先dapper的源(首页)的源只能安装amarok-xine的
在http://www.ubuntuforums.org/ 搜索了一同,说安装amarok要1.4.x版本的才能用gstreamer
添加 deb http://kubuntu.org/packages/amarok-14beta3 dapper main
可以安装amarok-gstreamer
装上的amarok是最新版本的 1.4.x gstreamer也是0.10版本
但是这个版本的gstreamer mp3 名字乱码问题严重 好象可行的解决方法
所以只能装gstreamer0.80


上面都是废话了,正题开始
首先降级位breezy 源

deb http://ubuntu.cn99.com/ubuntu/ breezy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ breezy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ breezy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ breezy-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu-cn/ breezy main restricted universe multiverse

直接:sudo apt-get install amarok-gstreamer
这时候会提示 少什么 而不会安装之类的
不管它 少什么就apt-get install什么
在新立德里把gstreamer0.80**全部装上

最后安装好后,就可以播放mp3 了

ape的播放参照 kook 兄弟的帖子 :viewtopic.php?t=9706&highlight=amarok+ape

关于使用gstreamer0.80引擎乱码问题 其实:export GST_ID3_TAG_ENCODING=GBK 就好了
或者在.bashrc文件最后加入这句语句也可以


不过 播放ape 很不稳定 amarok很容易退出

还是传位flac算了
附件
.png
herotaotao
帖子: 74
注册时间: 2006-01-04 15:38
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 herotaotao » 2006-04-21 22:40

为什么要用gstreamer引擎,amarok默认的就是xine引擎,装上libxine-extracodecs包,就能播放几乎所有的音乐格式。如果你用的是kubuntu,建议去掉gstreamer,换回xine。毕竟kde环境装了gnome的东西,感觉是那么的不爽。
我向往自由,所以我加入了Linux ;我拥有爱心,因此我遨游在Ubuntu。
shitbaby
帖子: 131
注册时间: 2006-03-22 18:30
送出感谢: 0
接收感谢: 0

#6

帖子 shitbaby » 2006-04-22 12:34

AMAROK 1.4Y以上版本 就用GSTREAMER0.10的

但是乱码是个大问题
herotaotao
帖子: 74
注册时间: 2006-01-04 15:38
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 herotaotao » 2006-04-24 17:11

shitbaby 写了:AMAROK 1.4Y以上版本 就用GSTREAMER0.10的

但是乱码是个大问题
谁告诉你的啊?我现在用的是amarok 1.4 beta3,引擎是xine。我没用gstreamer。amarok 1.4以上的版本对乱码已经作出了很大的解决,显示基本没问题。有乱码可能是你自己的locale和挂载ntfs或fat32分区的设置有问题,至于播放列表可能出现的乱码,我的解决方法是用amarok把播放的歌曲“编辑一条音轨的信息”,然后改掉,就可以正常显示了。现在我的amarok显示非常好了。
我向往自由,所以我加入了Linux ;我拥有爱心,因此我遨游在Ubuntu。
shitbaby
帖子: 131
注册时间: 2006-03-22 18:30
送出感谢: 0
接收感谢: 0

#8

帖子 shitbaby » 2006-04-24 20:57

herotaotao 写了:
shitbaby 写了:AMAROK 1.4Y以上版本 就用GSTREAMER0.10的

但是乱码是个大问题
谁告诉你的啊?我现在用的是amarok 1.4 beta3,引擎是xine。我没用gstreamer。amarok 1.4以上的版本对乱码已经作出了很大的解决,显示基本没问题。有乱码可能是你自己的locale和挂载ntfs或fat32分区的设置有问题,至于播放列表可能出现的乱码,我的解决方法是用amarok把播放的歌曲“编辑一条音轨的信息”,然后改掉,就可以正常显示了。现在我的amarok显示非常好了。
我得意思是如果用了gstreamer0.10 乱吗是比较难解决啊
如果用gstreamer0.80 加入一个设置环境变量,什么TAG GST=GBK之类的 是可以解决
xine支持中文本来就好啊 我用amarok1.3.x+xine中文很好啊
回复

回到 “老旧版本支持”